Subject: bug#16532: Test Fail: "tests/chown/separator"

From: Pádraig Brady <[email-masked]>
Date: Fri, 24 Jan 2014 03:09:02 +0000

On 01/24/2014 02:46 AM, Assaf Gordon wrote:
> On 01/23/2014 09:32 PM, Pádraig Brady wrote:
>>
>> Actually I messed up the login in the suggestion.
>> I think the above should be s/!=/=/ which I've done
>> in the attached patch.
>>
>> If you could confirm it was skipped on your system
>> it would be great.
>>
>> I'll push soon anyway.
>>
> 
> Please don't push yet - it doesn't work, but for un-expected reason:
> 
> my previous patch was incorrect (The "=" vs "!=" as you pointed), but also "getent groups" was incorrect - so two wrongs did make a right :)
> 
> The test fails, here's why:
> 
> On my strange system:
> 
> ===
> $ getent group users
> users:x:100:
> ===
> vs.
> ===
> $ getent group | grep ^users
> users:x:100:
> users:x:1000:www-data,XXX,YYY
> ===

Oh right, grep ^$id_gn: it is so.

Note we can't rely on getent(1) being available (as noted in bug 9987),
but the failure in that edge case is still a skip as the count will be 0 then.

thanks,
Pádraig.